Start a new feature after switching a module (where that feature is compatible)
Forums: Journaling / NXOpen APII was trying to Start a new feature after switching a module. for my case it was to start 'Move Face' after switching to 'Modeling' module. But I wanted the journal to...
View ArticleGet X,Y in pixels for each piece of PMI in a view.
Forums: Journaling / NXOpen APIHello,I am attempting to get a list of PMI items in a model view and an x,y of those item in pixels. I have some code that outputs an image for the current model view. I...
View ArticleOpen a Spreadsheet
Forums: Journaling / NXOpen APIGood MorningMy question is simple. I have a part with a SpreadSheet in. This SpreadSheet updates the part thanks to the connection between the SpreadSheet and UG...
View ArticleStopping UnloadLibrary switching to the Gateway application (NX 10)
Forums: Journaling / NXOpen APII am using a VB.Net Windows Forms Application executable that is called from a command button on an NX toolbar, which exits using UF.UnloadLibrary.This function always...
View ArticleArrangement Creation using Sketch Coordinates.
Forums: Journaling / NXOpen APIHi, Instead of using kinematics, I am trying to create arrangements using move component. 1. I have basic sketch created by expressions. I linked coordinates to the...
View ArticleMeasure distance between 2 csys
Forums: Journaling / NXOpen APIHelloI'm creating 1 journal that create a txt with some values, but now i have 1 problem, there is a way to measure the distance between the active csys and an csys with...
View ArticleHow to initialize UGMGR in command line?
Forums: Journaling / NXOpen APIHello All, My task is to initialize managed NX(UGMGR.initialize), open the given part, do some operations in NX, save back to teamcenter and terminate the connection. I...
View ArticlePart Getting corrupted
Forums: Journaling / NXOpen APIRunning this code more than onetime makes something corrupt in the assembly. After this I am unable to create arrangements, Not able to save or not able to part cleanup...
View ArticleExport spreadsheet containing certain expressions and in a certain format
Forums: Journaling / NXOpen APIHello,I've been struggling with recording and coding a journal in VB that will export an entire assembly's expressions to an excel spreadsheet in a certain format.The...
View ArticleChanging Arrangement
Forums: Journaling / NXOpen APIWhat demand/function should one use to change the arrangements of children in an assembly. I am thinking of using "setUsedArrangement", any examples of code that will...
View ArticleCreating A Bounding Box Around A Solid: Assembly Mode
Forums: Journaling / NXOpen APIThe code I copied from http://www.nxjournaling.com/content/creating-bounding-box-arround-solid is very good but it is accurate when applied to the displayed part only. In...
View ArticleInformation of selected object on the status bar
Forums: Journaling / NXOpen APIHi guys,Imagine you want to insert a point feature in NX. When you select the appropriate command and move your cursor in the graphics window, you will notice the status...
View ArticleCreate points on the faces and get coordinates and normal
Forums: Journaling / NXOpen APIHelloI'm trying create a few points on my body and i wanna get x,y,z and the normal of the face on that point i,j,k. I followed this code NX Journaling but now i have 1...
View ArticleDelete unused groups - please help
Forums: Journaling / NXOpen APIHi everyone.I am struggling with something and I hoped someone here could help.I have a program that takes requests (in the form of car areas like "front wing") and makes...
View ArticleHow to get a surface normal in the assembly context ? - user selected surface.
Forums: Journaling / NXOpen APII am making a journal that orients a modeling view in an assembly when a user clicks on a planar surface - just one click operation -, but I'm stuck. I used the following...
View ArticleDimensions. Load settings from customer defaults.
Forums: Journaling / NXOpen APIHelloHere’s the code that applies customer defaults settings to the angular dimensions. The code acts weirdly. The dimension tolerance disappears, but when I open...
View ArticleSelectObjects: Warning if range is smaller then given one
Forums: Journaling / NXOpen APIHello at all,I have a problem with my SelectObjects function. I want to select various drilling holes, but if I the distance between the centre of the holes are smaller...
View ArticleCreate Assembly sequence to get motion Envelope_NX 9
Forums: Journaling / NXOpen APII have the following requirement. create a sweep envelop of the assembly items based on movement. (Example a rack and pinon is there I want to have maximum and minimum...
View ArticleDrawing sheet annotation search
Forums: Journaling / NXOpen APIHello All,I have found a way to isolate a single drawing sheet: Sub Main() Dim s As Session = Session.GetSession() Dim dp As Part = s.Parts.Display Dim dsc As...
View ArticleGet Bodies from component groups
Forums: Journaling / NXOpen APIHi, I want to collect bodies from each component group individually to create wrap geometry, But this is collecting all the bodies in the workpart. Is there anyway to...
View Article